ubuntu/+source/facter:applied/ubuntu/saucy-devel

Last commit made on 2013-05-24
Get this branch:
git clone -b applied/ubuntu/saucy-devel https://git.launchpad.net/ubuntu/+source/facter
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/saucy-devel
Repository:
lp:ubuntu/+source/facter

Recent commits

77039cd... by Robie Basak on 2013-05-20

Import patches-applied version 1.7.0-1ubuntu1 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 6ea8647cd3e5d08a7e5d1a49e22e5efef201ca72
Unapplied parent: df54eac3fc5a956eca22e72923d0b70c650738b3

New changelog entries:
  * Merge from Debian unstable (LP: #1173265). Remaining changes:
    - debian/control: ruby-json is not in main, so move Depends to Suggests.
  * Dropped changes:
    - gem2deb and ruby-pkg-tools are now in main:
      + use what we had in natty; we don't want ruby-pkg-tools
         in main. (LP: #408402)
      + Continue using ruby + libopenssl-ruby as Build-Depends even tho Debian
        has moved to gem2deb (not in main).
    - No longer necessary:
      + Use dh_prep instead of dh_clean, add build-arch + build-indep targets
    - Debian packaging now supports multiple Ruby versions:
      + Make binary package depend on ruby1.8 explicitly
    - Applied in Debian:
      + debian/patches/ubuntu_xen_print_virtual.patch: correctly detect
        xen0,xenu. (LP: #980291)
  * d/control: virt-what is not in main, so move Depends to Suggests.
  * d/control, d/tests: add dep8 smoke test.
  * d/p/kvm-cpuinfo: detect "Common KVM processor" in /proc/cpuinfo as virtual
    (LP: #1170325).

df54eac... by Robie Basak on 2013-05-20

detect "Common KVM processor" in /proc/cpuinfo as virtual

Gbp-Pq: kvm-cpuinfo.

fa8a2c7... by Robie Basak on 2013-05-20

Do not require rubygems

Gbp-Pq: no-require-rubygems.

816007a... by Robie Basak on 2013-05-20

Import patches-unapplied version 1.7.0-1ubuntu1 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 1aa86eb3804a7b6f4e47811aa984095eab5cfd6f

New changelog entries:
  * Merge from Debian unstable (LP: #1173265). Remaining changes:
    - debian/control: ruby-json is not in main, so move Depends to Suggests.
  * Dropped changes:
    - gem2deb and ruby-pkg-tools are now in main:
      + use what we had in natty; we don't want ruby-pkg-tools
         in main. (LP: #408402)
      + Continue using ruby + libopenssl-ruby as Build-Depends even tho Debian
        has moved to gem2deb (not in main).
    - No longer necessary:
      + Use dh_prep instead of dh_clean, add build-arch + build-indep targets
    - Debian packaging now supports multiple Ruby versions:
      + Make binary package depend on ruby1.8 explicitly
    - Applied in Debian:
      + debian/patches/ubuntu_xen_print_virtual.patch: correctly detect
        xen0,xenu. (LP: #980291)
  * d/control: virt-what is not in main, so move Depends to Suggests.
  * d/control, d/tests: add dep8 smoke test.
  * d/p/kvm-cpuinfo: detect "Common KVM processor" in /proc/cpuinfo as virtual
    (LP: #1170325).

6ea8647... by Stig Sandbeck Mathisen on 2013-05-05

Import patches-applied version 1.7.0-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: f8c3a23d6427b4d43010a4456c196056ff96dd19
Unapplied parent: cbb5340239670f3f668d3759b6f0c44d537131e9

New changelog entries:
  [ Micah Anderson ]
  * fix xen0/xenu detection (Closes: #682417)
  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Recommend virt-what for virtualization detection
  * Update copyright information

1aa86eb... by Stig Sandbeck Mathisen on 2013-05-05

Import patches-unapplied version 1.7.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 01b93eef287e1805b3d7ca31faabbd56a4fa33b0

New changelog entries:
  [ Micah Anderson ]
  * fix xen0/xenu detection (Closes: #682417)
  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Recommend virt-what for virtualization detection
  * Update copyright information

cbb5340... by Stig Sandbeck Mathisen on 2013-05-05

Do not require rubygems

Gbp-Pq: no-require-rubygems.

f8c3a23... by Stig Sandbeck Mathisen on 2012-06-24

Import patches-applied version 1.6.10-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1283d3eeffbe472ac758fb0244e5aeccef84cd07
Unapplied parent: 3162ddda3b1da4c49b51bc1ee515842caa5679e9

New changelog entries:
  * New upstream release
  * Remove upstream LSB patch included in this release

01b93ee... by Stig Sandbeck Mathisen on 2012-06-24

Import patches-unapplied version 1.6.10-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0cb5706451680f71265d124b99ee88bf61fc67e3

New changelog entries:
  * New upstream release
  * Remove upstream LSB patch included in this release

3162ddd... by Stig Sandbeck Mathisen on 2012-06-24

Do not require rubygems

Gbp-Pq: no-require-rubygems.